### Class

# Panel Settings

#### Description

    final class Panel.Settings : GObject.Object
      implements Gio.ActionGroup {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Implements

- GActionGroup

#### Constructors

###### panel_settings_new

No description available.

###### panel_settings_new_relocatable

No description available.

###### panel_settings_new_with_path

No description available.

#### Functions

###### panel_settings_resolve_schema_path

No description available.

#### Instance methods

###### panel_settings_bind

No description available.

###### panel_settings_bind_with_mapping

Like `panel_settings_bind()` but allows transforming to and from settings storage using `get_mapping` and `set_mapping` transformation functions.

###### panel_settings_get_boolean

No description available.

###### panel_settings_get_default_value

No description available.

###### panel_settings_get_double

No description available.

###### panel_settings_get_int

No description available.

###### panel_settings_get_schema_id

No description available.

###### panel_settings_get_string

No description available.

###### panel_settings_get_uint

No description available.

###### panel_settings_get_user_value

No description available.

###### panel_settings_get_value

No description available.

###### panel_settings_set_boolean

No description available.

###### panel_settings_set_double

No description available.

###### panel_settings_set_int

No description available.

###### panel_settings_set_string

No description available.

###### panel_settings_set_uint

No description available.

###### panel_settings_set_value

No description available.

###### panel_settings_unbind

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GActionGroup (14)

###### g_action_group_action_added

Emits the `GActionGroup::action-added` signal on `action_group`.

###### g_action_group_action_enabled_changed

Emits the `GActionGroup::action-enabled-changed` signal on `action_group`.

###### g_action_group_action_removed

Emits the `GActionGroup::action-removed` signal on `action_group`.

###### g_action_group_action_state_changed

Emits the `GActionGroup::action-state-changed` signal on `action_group`.

###### g_action_group_activate_action

Activate the named action within `action_group`.

###### g_action_group_change_action_state

Request for the state of the named action within `action_group` to be changed to `value`.

###### g_action_group_get_action_enabled

Checks if the named action within `action_group` is currently enabled.

###### g_action_group_get_action_parameter_type

Queries the type of the parameter that must be given when activating the named action within `action_group`.

###### g_action_group_get_action_state

Queries the current state of the named action within `action_group`.

###### g_action_group_get_action_state_hint

Requests a hint about the valid range of values for the state of the named action within `action_group`.

###### g_action_group_get_action_state_type

Queries the type of the state of the named action within `action_group`.

###### g_action_group_has_action

Checks if the named action exists within `action_group`.

###### g_action_group_list_actions

Lists the actions contained within `action_group`.

###### g_action_group_query_action

Queries all aspects of the named action within an `action_group`.

#### Properties

###### Panel.Settings:identifier

The “identifier” property is used to make unique paths.

###### Panel.Settings:path

No description available.

###### Panel.Settings:path-prefix

No description available.

###### Panel.Settings:path-suffix

No description available.

###### Panel.Settings:schema-id

No description available.

###### Panel.Settings:schema-id-prefix

No description available.

#### Signals

###### Panel.Settings::changed

No description available.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

##### Signals inherited from GActionGroup (4)

###### GActionGroup::action-added

Signals that a new action was just added to the group.

###### GActionGroup::action-enabled-changed

Signals that the enabled status of the named action has changed.

###### GActionGroup::action-removed

Signals that an action is just about to be removed from the group.

###### GActionGroup::action-state-changed

Signals that the state of the named action has changed.

#### Class structure

    struct PanelSettingsClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.